RPM Community Forums

Mailing List Message of <popt-devel>

Building popt: 'AM_PROG_MKDIR_P' macro is deprecated

From: William Furnass <will@thearete.co.uk>
Date: Sat 21 Feb 2015 - 14:49:28 CET
Message-ID: <CAJJEUTLNMGoP_YVkeuQN+hiG_1uPg-rVJfRjyhRybdsMyKGAmQ@mail.gmail.com>
Hi,

Trying to run ./autogen.sh for the latest tagged release
(rpm-5.4.13-release) of popt from github and get the following:

configure.ac:22: warning: The 'AM_PROG_MKDIR_P' macro is deprecated,
and its use is discouraged.
configure.ac:22: You should use the Autoconf-provided
'AC_PROG_MKDIR_P' macro instead,
configure.ac:22: and use '' instead of ''in your
Makefile.am files.

I believe this is related to the 'gettext' utility yet on my (Mint 17)
machine I'm running a version where AM_PROG_MKDIR_P should no longer
be used:

$ apt-get changelog gettext | grep -B9 AM_PROG_MKDIR_P
gettext (0.18.2.1-1) unstable; urgency=low
<snip>
  * Deprecated macro AM_PROG_MKDIR_P not used anymore. Closes: #709740.

Has anyone any thoughts as to whether the problem is due to the
setup/packages on my machine or this particular version of popt?

NB the following are installed: autoconf 2.69-6 and automake 1:1.14.1-2ubuntu1

Regards,

Will Furnass
Received on Sat Feb 21 15:32:17 2015
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.